/* File Name: main.h */

/*
************************************************************************
************************************************************************

Copyright © 1998 Multimedia Integration Products, All Rights Reserved

This file is not for public release.
************************************************************************

************************************************************************
************************************************************************ */


#pragma once

#define	kMIME	"application/x-vnd.MIP-BeVC"

enum
{
/* Internal Messages */
	VC_MENU_FILE_PREFS		= 'vc00',		// Go with the menus
	VC_MENU_FILE_QUIT,
	VC_MENU_MODULE_CHECKOUT,
	VC_MENU_MODULE_UPDATE,
	VC_MENU_MODULE_CHECKIN,
	VC_MENU_MODULE_ADD,
	VC_MENU_MODULE_DELETE,
	
	VC_RELOAD_MODULE_LIST,
	
	MIP_VC_MODS_LIST,						//List of the modules for a window, conatins lots of VC_MODS_INFO messages
											//modules = list of the modules
	VC_MODS_INFO,							//Info on a module for the window
											//ver = version
											//name = name
											//status = module status
											//who = user
											//time = last modified
	
	VC_SHOW_CHANGE_PASSWD_WINDOW,			// Shows the Change Password window - Sent to BVCApp
	
/* These are for external queries */
	MIP_VC_GET_MODULES = 'vc50',			//Ask for a list of modules in a repository, reply is of type VC_MODS_LIST
	MIP_VC_CHECK_IN,						//Check in a module
	MIP_VC_CHECK_IN_REPLY,					//The reply
	MIP_VC_CHECK_OUT,						//Check out a module
	MIP_VC_CHECK_OUT_REPLY,					//The reply
	MIP_VC_MODS_OUT_LIST,					//Ask for a list of mods check out for 'user' with 'passwd'
	MIP_VC_MODS_OUT_LIST_REPLY,				//A reply with the mods list in the string field 'module'
	MIP_VC_UPDATE,							// Do an update (get all the modules that aren't yours
	MIP_VC_UPDATE_REPLY,					// Reply to an update

/* Errors */
	MIP_VC_REPOS_BUSY,						//If the repos is locked
	MIP_VC_USER_PASS_ERROR,					//If the user/passwd failed
	MIP_VC_AUTH_FAILED						//user/passwd check failed
};


extern BPath	repositoryPath;
extern BPath	workDirPath;
extern char		userName[B_OS_NAME_LENGTH];
extern char		password[B_OS_NAME_LENGTH];
extern bool		deleteAfterCheckin;
extern bool 	remoteRepository;
extern char		serverAddress[100];


											// Takes the data (no attributes) from the file at
											// File Path, put it into the field data field of msg
											// and put the name of the file into fileNameField
status_t		FileToStream(BPath * filePath, BMessage * msg, const char * dataField, const char * fileNameField, const char * module);
status_t 		MakeFileFromBuffer(const char * buffer, const char * fileName, ssize_t size);
