#include "ModuleItem.h"

// *********************************************//************
ModuleItem::ModuleItem(char * ver, char * name, char * status, char * who, char * time)
	:CLVListItem(0, false, true, 20)
{
/* Length checking needed */
	strcpy(verStr, ver);
	strcpy(nameStr, name);
	strcpy(statusStr, status);
	strcpy(whoStr, who);
	strcpy(timeStr, time);
}


// ********************************************//************
void ModuleItem::DrawItemColumn(BView *owner, BRect itemColumnRect, int16 columnIndex, bool complete)
{
	owner->Window()->Lock();
	
	bool	selected = IsSelected();
	
												// If we need to wipe the whole thing, do it
	if (complete && !selected)
		owner->FillRect(itemColumnRect, B_SOLID_LOW);


	else if (selected)
	{
		rgb_color oldLowColor = owner->LowColor();
		owner->SetLowColor(210, 210, 210);
		owner->FillRect(itemColumnRect, B_SOLID_LOW);
		owner->SetLowColor(oldLowColor);
	}
	
												// Call the correct draw column function
	switch(columnIndex)
	{
		case 0:
			DrawVer(owner, itemColumnRect);
			break;
		case 1:
			DrawName(owner, itemColumnRect);
			break;
		case 2:
			DrawStatus(owner, itemColumnRect);
			break;
		case 3:
			DrawWho(owner, itemColumnRect);
			break;
		case 4:
			DrawTime(owner, itemColumnRect);
			break;
	}
	owner->Window()->Unlock();
}


// ********************************************//************
void ModuleItem::DrawVer(BView *owner, BRect itemColumnRect)
{
	owner->DrawString(verStr, BPoint(itemColumnRect.left+5, itemColumnRect.bottom-5));
}


// *********************************************//************
void ModuleItem::DrawName(BView *owner, BRect itemColumnRect)
{
	owner->DrawString(nameStr, BPoint(itemColumnRect.left+5, itemColumnRect.bottom-5));
}


// *********************************************//************
void ModuleItem::DrawStatus(BView *owner, BRect itemColumnRect)
{
	owner->DrawString(statusStr, BPoint(itemColumnRect.left+5, itemColumnRect.bottom-5));
}

// *********************************************//************
void ModuleItem::DrawWho(BView *owner, BRect itemColumnRect)
{
	owner->DrawString(whoStr, BPoint(itemColumnRect.left+5, itemColumnRect.bottom-5));
}


// *********************************************//************
void ModuleItem::DrawTime(BView *owner, BRect itemColumnRect)
{
	owner->DrawString(timeStr, BPoint(itemColumnRect.left+5, itemColumnRect.bottom-5));
}
