/* File Name: RepositoryLooper.h */

/*
************************************************************************
************************************************************************

Copyright © 1998 Multimedia Integration Products, All Rights Reserved

This file is not for public release.
************************************************************************

************************************************************************
************************************************************************ */


#pragma once


class RepositoryLooper : public BLooper 
{
public:
					RepositoryLooper();
					~RepositoryLooper();
	
	virtual void	MessageReceived(BMessage * message);
	virtual	bool	QuitRequested();

private:
	bool			AuthentUser(BMessage * message);
	
	void			SendModulesList();
	status_t		MakeModulesList(BMessage * message);
	
	status_t		SaveModule(const BMessage * msg);
	status_t		SaveModule(const char * moduleName, const char * buffer, ssize_t size);
	
	status_t		GetModsOutList(const char * user, BMessage * msg);
	
	void			IncrementVersionNumber(const char * oldVer, char * newVer);
	void			GetVersion(const char * moduleName, char * versionString);

	bool 			IsModCheckedOut(const char * moduleName);

	status_t		CheckOut(const char * name, const char * user, BMessage * msg);
	status_t		CheckOut(BMessage * msg);
	
	status_t		Update(const char * user);

	status_t 		SendToClient(BMessage * msg);
	
	bool			remoteConnection;
	bool			reposLock;
};

